# Uses of Class
net.minestom.server.extras.selfmodification.HierarchyClassLoader

Packages that use HierarchyClassLoader
Package
Description
net.minestom.server.extras.selfmodification

## Uses of HierarchyClassLoader in net.minestom.server.extras.selfmodification

Subclasses of HierarchyClassLoader in net.minestom.server.extras.selfmodification
Modifier and Type
Class
Description
`class`
`MinestomExtensionClassLoader`
`class`
`MinestomRootClassLoader`
Class Loader that can modify class bytecode when they are loaded.
Fields in net.minestom.server.extras.selfmodification with type parameters of type HierarchyClassLoader
Modifier and Type
Field
Description
`protected final List<HierarchyClassLoader>`
HierarchyClassLoader.`parents`